package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.interfacelog.businessoperationlog.app.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class OperateLogEntry extends CoreBillEntryBase implements IOperateLogEntry
{
    public OperateLogEntry()
    {
        super();
        registerInterface(IOperateLogEntry.class, this);
    }
    public OperateLogEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IOperateLogEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DFD2AE3F");
    }
    private OperateLogEntryController getController() throws BOSException
    {
        return (OperateLogEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public OperateLogEntryInfo getOperateLogEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOperateLogEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public OperateLogEntryInfo getOperateLogEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOperateLogEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public OperateLogEntryInfo getOperateLogEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOperateLogEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public OperateLogEntryCollection getOperateLogEntryCollection() throws BOSException
    {
        try {
            return getController().getOperateLogEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public OperateLogEntryCollection getOperateLogEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOperateLogEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public OperateLogEntryCollection getOperateLogEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getOperateLogEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}